## sanlock 3.9.5

=== Makefile ===
version := $(shell cat VERSION)

SUBDIRS = wdmd src python

.PHONY: all $(SUBDIRS) clean install

all: $(SUBDIRS)

$(SUBDIRS):
	$(MAKE) -C $@

src: wdmd

python: src

clean install:
	for dir in $(SUBDIRS); do \
		$(MAKE) -C $$dir $@; \
	done
