=== debian/changelog ===
sanlock (3.9.5-1) unstable; urgency=medium

  * New upstream release.
  * Add upstream mailing list as contact in d/copyright.
  * Use upstream systemd service files.
  * Patches:
    - Rebase patches.
    - Add patch to include documentation keys in systemd service files.
    - Add patch for init compatibility in systemd service files.
    - Add patch to change syslog.target to syslog.socket.
  * Update symbols file.
  * Use upstream file for enabling watchdog.
  * Update copyright year on myself.
  * Add lintian override for sourcing init functions.
  * Update Standards-Version to 4.7.2, no changes needed.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Mon, 10 Mar 2025 19:58:48 +0100
