## sanlock 4.2.0

=== debian/changelog ===
sanlock (4.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Patches:
    - Rebase patches.
    - Drop two patches included upstream.
  * Update symbol files.
  * Update watch file to version 5.
  * Remove RRR, used value is now default.
  * Remove lintian override as a fix was implemented in lintian.
    See #1099868 for more information.
  * Change CI from hard-coded URL in GitLab to debian/salsa-ci.yml.
  * d/rules:
    - Update d/rules to clean the 'reset' directory.
    - Delete *.egg-info path as part of clean stage, this also deletes the
      d/source/options file.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Sun, 16 Nov 2025 07:33:49 +0100
