=== debian/control ===
--- 
+++ 
@@ -15,7 +15,6 @@
 Homepage: https://www.pagure.io/sanlock/
 Vcs-Browser: https://salsa.debian.org/haava/sanlock
 Vcs-Git: https://salsa.debian.org/haava/sanlock.git
-Rules-Requires-Root: no
 
 Package: sanlock
 Architecture: linux-any
