=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,12 @@
 
 %:
 	dh $@
+
+execute_after_dh_auto_clean:
+	dh_auto_clean -D reset
+ifeq (,$(filter nopython,$(DEB_BUILD_PROFILES)))
+	rm -rf $(CURDIR)/python/*.egg-info/
+endif
 
 override_dh_auto_build:
 	dh_auto_build -D wdmd -- $(FLAGS)
